<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 2/22/16
 * Time: 9:40 PM
 */

namespace Luticate\Utils\Dbo;

use Carbon\Carbon;

class LuDateTimeDboArray extends LuDbo
{
    /**
     * @var Carbon[]
     */
    protected $_array;
    public function getArray()
    {
        return $this->_array;
    }
    public function setArray($value)
    {
        $this->_array = $value;
    }

    public function jsonSerialize()
    {
        $array = [];
        foreach ($this->_array as $date) {
            $array[] = is_null($date) ? null : $date->__toString();
        }
        return $array;
    }

    public static function jsonDeserialize($json)
    {
        if (!is_array($json)) {
            throw new LuDboDeserializeException("Invalid array value");
        }
        $dbo = new self();
        $array = [];
        foreach ($json as $data) {
            $array[] = LuDateTimeDbo::jsonDeserialize($data)->getDateTime();
        }
        $dbo->setArray($array);
        return $dbo;
    }

    public static function generateSample()
    {
        return [
            LuDateTimeDbo::generateSample(),
            LuDateTimeDbo::generateSample()
        ];
    }

}