<?php

/**
 * Created by PhpStorm.
 * User: robin
 * Date: 6/10/16
 * Time: 1:12 PM
 */

namespace Luticate\Utils\DataAccess;

abstract class AbstractDbDataAccess
{
    /**
     * @param $sqlType string
     * @return string
     */
    abstract public function sqlTypeToPhpType($sqlType);

    /**
     * @param $pdo \PDO
     * @return array
     */
    abstract public function getTablesFull($pdo);

    /**
     * @param $pdo \PDO
     * @return array
     */
    abstract public function getStoredProceduresFull($pdo);
}